Tuesday, April 1, 2014

Fixes for httpd and OpenSSH

As mentioned on my previous post, there will be some following updates to the security updates released few days ago due to some minor bug and now the updates are released.

The new httpd update (2.4.9) requires new apr and apr-utils in order to get mpm_event module created, so in this update, apr and apr-utils are upgraded to 1.5.0 and 1.5.3 respectively. For those who have been selecting to use mpm_worker module as a fix for previous update, you need to revert back to mpm_event or keep it, but DON'T use both. It will throws an error when you tried to restart the httpd daemon. This update applies to Slackware 14.0 and future releases.

The new openSSH update only fixes the rc.sshd to create new ecdsa key when the daemon is restarted. This update only applies to Slackware 14.0 and 14.1.